Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.ui
Class SlotSubslotRoot

    java.lang.Object
      edu.stanford.smi.protege.util.LazyTreeNode
          edu.stanford.smi.protege.util.LazyTreeRoot
              edu.stanford.smi.protege.ui.SlotSubslotRoot

All Implemented Interfaces:
  TreeNode

    public class SlotSubslotRoot

extends LazyTreeRoot

Tree root for the superslot-subslot relationship tree nodes.

Author:
  Ray Fergerson

Constructor Summary
`SlotSubslotRoot(KnowledgeBase kb)`
`SlotSubslotRoot(KnowledgeBase kb, Collection slots)`
`SlotSubslotRoot(KnowledgeBase kb, Collection slots, boolean isSorted)`

Method Summary
`LazyTreeNode` | `createNode(Object o)`
`void` | `dispose()`
`Comparator` | `getComparator()`

Methods inherited from class edu.stanford.smi.protege.util.LazyTreeRoot
`childReplaced, getChildObjectCount, getChildObjects, notifyChildNodeAdded, notifyChildNodeRemoved, notifyNodeChanged, notifyNodeStructureChanged, setModel`

Methods inherited from class edu.stanford.smi.protege.util.LazyTreeNode
`childAdded, childAdded, childRemoved, children, compareTo, equals, getAllowsChildren, getChildAt, getChildCount, getIndex, getIndex, getLazyTreeNodeParent, getParent, getUserObject, getUserObjectIndex, isDuplicate, isLeaf, isSorted, loadChildObjects, reload, reload, setIsLoaded, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SlotSubslotRoot

    public SlotSubslotRoot(KnowledgeBase kb)

### SlotSubslotRoot

    public SlotSubslotRoot(KnowledgeBase kb,
                           Collection slots)

### SlotSubslotRoot

    public SlotSubslotRoot(KnowledgeBase kb,
                           Collection slots,
                           boolean isSorted)

Method Detail

### createNode

    public LazyTreeNode createNode(Object o)

  Specified by:
    `createNode` in class `LazyTreeNode`

### dispose

    public void dispose()

  Overrides:
    `dispose` in class `LazyTreeNode`

### getComparator

    public Comparator getComparator()

  Specified by:
    `getComparator` in class `LazyTreeNode`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.